using System;
using System.Collections.Generic;
using System.Text;

namespace UWB_XNALib
{
    public static class UWB_Utility
    {
		public const double zeroTolerance = 1.0e-9;

        public static string mEchoTextBox = string.Empty;

        public static void echoToStatusArea(string echoString)
        {
            if (mEchoTextBox != null)
                mEchoTextBox = echoString;
        }

		public static float UWB_RandomNumber(float range)
		{
			Random rand = new Random();
			return range * (float)rand.NextDouble();
		}

		public static float UWB_RandomNumber(float minRange, float maxRange)
		{
			float size = maxRange - minRange;
			return minRange + UWB_RandomNumber(size);
		}
    }
}
