using System;
using System.Collections.Generic;
using System.Text;
using UWB_GUI;

namespace XNA_UI_Controls
{
    public class MouseButtonLabelListener : UWB_UI_Listener
    {
        private UWB_UI_Label m_Label;

        public MouseButtonLabelListener(UWB_UI_Label label)
        {
            m_Label = label;
        }

        public override bool MousePressed(UWB_UI_Element obj)
        {
            if(UWB_UI_Mouse.LeftMouseButtonDown)
                m_Label.Text = "Down";
            return false;
        }

        public override bool MouseDragged(UWB_UI_Element obj)
        {
            if (UWB_UI_Mouse.LeftMouseButtonDown)
                m_Label.Text = "Drag";
            return false;
        }

        public override bool MouseReleased(UWB_UI_Element obj)
        {
            if (UWB_UI_Mouse.LeftMouseButtonDown)
                m_Label.Text = "";
            return false;
        }
    }
}
