using System;
using System.Collections.Generic;
using System.Text;
using UWB_GUI;

namespace XNA_UI_Controls
{
    public class MousePosLabelListener : UWB_UI_Listener
    {
        protected UWB_UI_Label m_Label;

        public MousePosLabelListener(UWB_UI_Label label)
        {
            m_Label = label;
        }

        public override bool MouseMoved(UWB_UI_Element obj)
        {
            m_Label.Text = UWB_UI_Mouse.Position.X.ToString("0") + ' ' + UWB_UI_Mouse.Position.Y.ToString("0");
            return false;
        }
    }
}
