using System;
using System.Collections.Generic;
using System.Text;
using UWB_GUI;

namespace XNA_UI_Controls
{
    public class ResetButtonListener : UWB_UI_Listener
    {
        private XformInfoControl m_XformInfoControl;

        public ResetButtonListener(XformInfoControl control)
        {
            m_XformInfoControl = control;
        }

        public override bool MouseReleased(UWB_UI_Element obj)
        {
            m_XformInfoControl.ResetCurrentXform();
            return true;
        }
    }
}
