using System;
using System.Collections.Generic;
using System.Text;
using UWB_GUI;

namespace XNA_UI_Controls
{
    public class TransformSliderBarLabelListener : UWB_UI_Listener
    {
        private UWB_UI_Label m_Label;

        public TransformSliderBarLabelListener(UWB_UI_Label label)
        {
            m_Label = label;
        }

        public override bool ValueChanged(UWB_UI_Element obj)
        {
            m_Label.Text = (((UWB_UI_SliderBar)obj).Value / 10.0f).ToString("0.0");
            return false;
        }
    }
}
