using System;
using System.Collections.Generic;
using System.Text;
using UWB_GUI;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace XNA_UI_Controls
{
    /// <summary>
    /// A simple wrapper class for UWB_UI_Container that allows the
    /// XNA_UI_Controls library access to otherwise inacessible functions.
    /// </summary>
    public class XNA_UI_Container : UWB_UI_Container
    {
        public XNA_UI_Container(int x, int y, int width, int height, Color clearColor)
            : base(x, y, width, height, clearColor)
        {
            IsVisible = true;
            ClearBackground = false;
        }

        internal new bool LeftMouseButtonDrag(Point mousePosition)
        {
            return base.LeftMouseButtonDrag(mousePosition);
        }

        internal new bool LeftMouseButtonDown(Point mousePosition)
        {
            return base.LeftMouseButtonDown(mousePosition);
        }

        internal new bool LeftMouseButtonReleased(Point mousePosition)
        {
            return base.LeftMouseButtonReleased(mousePosition);
        }

        internal new bool RightMouseButtonDrag(Point mousePosition)
        {
            return base.RightMouseButtonDrag(mousePosition);
        }

        internal new bool RightMouseButtonDown(Point mousePosition)
        {
            return base.RightMouseButtonDown(mousePosition);
        }

        internal new bool RightMouseButtonReleased(Point mousePosition)
        {
            return base.RightMouseButtonReleased(mousePosition);
        }

        internal new bool MiddleMouseButtonDown(Point mousePosition)
        {
            return base.MiddleMouseButtonDown(mousePosition);
        }

        internal new bool MiddleMouseButtonReleased(Point mousePosition)
        {
            return base.MiddleMouseButtonReleased(mousePosition);
        }

        internal new bool MiddleMouseButtonDrag(Point mousePosition)
        {
            return base.MiddleMouseButtonDrag(mousePosition);
        }

        internal new bool MouseMoved(Point mousePosition)
        {
            return base.MouseMoved(mousePosition);
        }
    }
}
