using System;
using System.Collections.Generic;
using System.Text;
using Tutorial_11_14;

namespace UWB_GUI
{
    class MousePosTest : MousePosLabelListener
    {
        private MouseAndDrawHandler m_Viewport;

        public MousePosTest(UWB_UI_Label label, MouseAndDrawHandler viewport) : base(label)
        {
            m_Viewport = viewport;
        }

        public override bool MouseMoved(UWB_UI_Element obj)
        {
            int wcX, wcY;
            m_Viewport.HardwareToWCWindow((int)UWB_UI_Mouse.Position.X, (int)UWB_UI_Mouse.Position.Y, out wcX, out wcY);
            m_Label.Text = wcX.ToString("0") + ' ' + wcY.ToString("0");
            return true;
        }
    }
}
