using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using UWB_XNALib;

namespace XNA_UI_Controls
{
    public abstract class ViewportHandler : IViewportHandler
    {
        public ViewportHandler(Rectangle deviceBounds, Rectangle worldBounds, XNA_UI_GUI gui)
            : base(deviceBounds, worldBounds)
        {
            Initialize(gui);
        }

        private void Initialize(XNA_UI_GUI gui)
        {
            gui.ViewportHandlerContainer.AddListener(new ViewportHandlerListener(this));
        }
    }
}
